# PlaneGeometry

#### new Cesium.PlaneGeometry(options)
Core/PlaneGeometry.js 41

Describes geometry representing a plane centered at the origin, with a unit width and length.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`vertexFormat` | VertexFormat | `VertexFormat.DEFAULT` | optional The vertex attributes to be computed.

##### Example:

    var planeGeometry = new Cesium.PlaneGeometry({
      vertexFormat : Cesium.VertexFormat.POSITION_ONLY
    });

### Members

#### staticCesium.PlaneGeometry.packedLength : Number
Core/PlaneGeometry.js 54

The number of elements used to pack the object into an array.

### Methods

#### staticCesium.PlaneGeometry.createGeometry(planeGeometry) → Geometry|undefined
Core/PlaneGeometry.js 118

Computes the geometric representation of a plane, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`planeGeometry` | PlaneGeometry | A description of the plane.

##### Returns:

The computed vertices and indices.

#### staticCesium.PlaneGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/PlaneGeometry.js 65

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | PlaneGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### staticCesium.PlaneGeometry.unpack(array, startingIndex, result) → PlaneGeometry
Core/PlaneGeometry.js 91

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | PlaneGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new PlaneGeometry instance if one was not provided.